package cn.amq.peas;

import java.util.LinkedList;
import java.util.List;
import org.dom4j.Element;
import org.dom4j.Node;
import cn.amq.basis.AmqBasisEvent;
import cn.amq.basis.AmqConst;
import java.util.LinkedList;
//[取消视频联动上墙_holder_one]
public class ClearVideoToWallHolder extends AmqBasisEvent {
 	public ClearVideoToWallHolder(){
		msgType=AmqConst.AMQ_MSG_ClearVideoToWall;
	}
	private String senderModuleName;//[发送模块名称]
	private String gjbh;//[唯一的ID。取消上墙时，靠这个字段来关联d]
	private String fdId;//[设备编号]
	private String tdbh;//[通道编号]
	private String alarmCode;//[事故类型编码，1：交通事故；6：交通拥堵；30：车辆逆行(非法逆行)；31：行人闯入(行人/非机动车闯入)；32：非法停车(车辆异常停驶)；5：路面损毁(道路异常)；33：车辆异常缓驶；34：车辆横穿路面；35：车辆驶离路面；36：隧道内火灾；37：能见度过低；38：行人横穿路面( 行人/非机动车横穿路面)；39：道路障碍物；99：其他事件]
	private String gjsj;//[告警时间]
	private String gjmc;//[告警名称]
	
	public void setSenderModuleName(String senderModuleName){
		this.senderModuleName = senderModuleName;
	}
	public String getSenderModuleName(){
		return senderModuleName;
	}
	public void setGjbh(String gjbh){
		this.gjbh = gjbh;
	}
	public String getGjbh(){
		return gjbh;
	}
	public void setFdId(String fdId){
		this.fdId = fdId;
	}
	public String getFdId(){
		return fdId;
	}
	public void setTdbh(String tdbh){
		this.tdbh = tdbh;
	}
	public String getTdbh(){
		return tdbh;
	}
	public void setAlarmCode(String alarmCode){
		this.alarmCode = alarmCode;
	}
	public String getAlarmCode(){
		return alarmCode;
	}
	public void setGjsj(String gjsj){
		this.gjsj = gjsj;
	}
	public String getGjsj(){
		return gjsj;
	}
	public void setGjmc(String gjmc){
		this.gjmc = gjmc;
	}
	public String getGjmc(){
		return gjmc;
	}
	public void writeObjToXml() {
		super.writeObjToXml();
 		this.addTextToElement(outMsgTypeElement, "senderModuleName",senderModuleName );//[发送模块名称]
 		this.addTextToElement(outMsgTypeElement, "gjbh",gjbh );//[唯一的ID。取消上墙时，靠这个字段来关联d]
 		this.addTextToElement(outMsgTypeElement, "fdId",fdId );//[设备编号]
 		this.addTextToElement(outMsgTypeElement, "tdbh",tdbh );//[通道编号]
 		this.addTextToElement(outMsgTypeElement, "alarmCode",alarmCode );//[事故类型编码，1：交通事故；6：交通拥堵；30：车辆逆行(非法逆行)；31：行人闯入(行人/非机动车闯入)；32：非法停车(车辆异常停驶)；5：路面损毁(道路异常)；33：车辆异常缓驶；34：车辆横穿路面；35：车辆驶离路面；36：隧道内火灾；37：能见度过低；38：行人横穿路面( 行人/非机动车横穿路面)；39：道路障碍物；99：其他事件]
 		this.addTextToElement(outMsgTypeElement, "gjsj",gjsj );//[告警时间]
 		this.addTextToElement(outMsgTypeElement, "gjmc",gjmc );//[告警名称]
	}
	public void readTextToObject(String text) throws Exception {
		super.readTextToObject(text);
 		senderModuleName = this.readStringByFullPath("/amq/senderModuleName");//[发送模块名称]
 		gjbh = this.readStringByFullPath("/amq/gjbh");//[唯一的ID。取消上墙时，靠这个字段来关联d]
 		fdId = this.readStringByFullPath("/amq/fdId");//[设备编号]
 		tdbh = this.readStringByFullPath("/amq/tdbh");//[通道编号]
 		alarmCode = this.readStringByFullPath("/amq/alarmCode");//[事故类型编码，1：交通事故；6：交通拥堵；30：车辆逆行(非法逆行)；31：行人闯入(行人/非机动车闯入)；32：非法停车(车辆异常停驶)；5：路面损毁(道路异常)；33：车辆异常缓驶；34：车辆横穿路面；35：车辆驶离路面；36：隧道内火灾；37：能见度过低；38：行人横穿路面( 行人/非机动车横穿路面)；39：道路障碍物；99：其他事件]
 		gjsj = this.readStringByFullPath("/amq/gjsj");//[告警时间]
 		gjmc = this.readStringByFullPath("/amq/gjmc");//[告警名称]
	}
}
